Update Students
Developing
Request
Provide your bearer token in the Authorization
header when making requests to protected resources. Example:Authorization: Bearer ********************
Body Params application/jsonRequired
{
"students": [
{
"student_id": "STU001",
"name": "Rahim Uddin",
"amounts": [
{ "amount": 1500, "tag": "tuition" },
{ "amount": 200, "tag": "exam fee" }
]
},
{
"student_id": "STU002",
"mobile": "01722000002",
"academic_year": "2024-25"
},
{
"student_id": "STU003",
"amounts": [
{ "amount": 900, "tag": "tuition" }
]
}
]
}
Request Code Samples
curl --location 'https://apidev.edufee.online/api/open-payment/update-students/' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"students": [
{
"student_id": "STU001",
"name": "Rahim Uddin",
"amounts": [
{ "amount": 1500, "tag": "tuition" },
{ "amount": 200, "tag": "exam fee" }
]
},
{
"student_id": "STU002",
"mobile": "01722000002",
"academic_year": "2024-25"
},
{
"student_id": "STU003",
"amounts": [
{ "amount": 900, "tag": "tuition" }
]
}
]
}'
Responses
application/json
Modified at 2026-06-09 10:51:43